<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>Rewards</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Bill Verification Management
                    </div>
                    <div class="card-body">
                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item" role="presentation">
                                <a class="nav-link active" id="billhistory-tab" data-toggle="tab" href="#billhistory"
                                    role="tab" aria-controls="billhistory" aria-selected="true">Bill History</a>
                            </li>
                            <li class="nav-item" role="presentation">
                                <a class="nav-link" id="pendinghistory-tab" data-toggle="tab" href="#pendinghistory"
                                    role="tab" aria-controls="pendinghistory" aria-selected="false">pending History</a>
                            </li>
                        </ul>
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="billhistory" role="tabpanel"
                                aria-labelledby="billhistory-tab">
                                <div class="row mt-4">
                                    <div class="col-6">
                                        <a>
                                            <h5>Bill History</h5>
                                        </a>

                                    </div>
                                    <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                        <div class="p-2 flex-fill bd-highlight">

                                            <div class="form-group">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="Search"
                                                        type="text" [(ngModel)]="searchText">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text btnclrs">
                                                            <i class="fa fa-search"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="p-2 flex-fill bd-highlight">
                                            <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                                title="Excel" (click)="exportAsXLSX()">
                                                <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                            </button>
                                        </div>

                                    </div>
                                </div>

                                <hr>
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl.no</th>
                                                <th scope="col">FirsName</th>
                                                <th scope="col">LastName</th>
                                                <th scope="col">Email</th>

                                                <th scope="col">organization Email</th>
                                                <th scope="col">Mobile</th>
                                                <th scope="col">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr
                                                *ngFor="let user of getUserArray| filter:searchText| paginate: { id: 'pagination1',itemsPerPage: 25, currentPage: p };let i= index">
                                                <td *ngIf="p>1">{{((p-1)*15)+(i+1)}}</td>
                                                <td *ngIf="p==1">{{i+1}}</td>
                                                <td>{{user.firstname}}</td>
                                                <td>{{user.lastname}}</td>
                                                <td>{{user.personalEmail}}</td>
                                                <td>{{user.organizationEmail}}</td>
                                                <td>{{user.mobile}}</td>
                                                <td>
                                                    <a class="btn view" [routerLink]='["bill_history", user.uid]'>
                                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                                    </a>

                                                </td>
                                            </tr>

                                        </tbody>
                                    </table>
                                    <div class="text-center">
                                        <pagination-controls id="pagination1" (pageChange)="p = $event"></pagination-controls>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="pendinghistory" role="tabpanel"
                                aria-labelledby="pendinghistory-tab">
                                <div class="row mt-4">
                                    <div class="col-6">
                                        <a>
                                            <h5>Pending History</h5>
                                        </a>

                                    </div>
                                    <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                        <div class="p-2 flex-fill bd-highlight">

                                            <div class="form-group">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="Search"
                                                        type="text" [(ngModel)]="searchText">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text btnclrs">
                                                            <i class="fa fa-search"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="p-2 flex-fill bd-highlight">
                                            <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                                title="Excel" (click)="pendingexportAsXLSX()">
                                                <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                            </button>
                                        </div>

                                    </div>
                                </div>

                                <hr>
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl.no</th>
                                                <th scope="col">First Name</th>
                                                <th scope="col">Last Name</th>
                                                <th scope="col">VehicleType</th>
                                                <th scope="col">Mobile</th>
                                                <th scope="col">Organisation Email</th>
                                                <th scope="col">Personal Email</th>
                                                <th scope="col">View Document</th>
                                                <th scope="col">Status</th>
                                                <th scope="col">Approval</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr
                                                *ngFor="let pending of getPendingArray| filter:searchText | paginate: { id: 'pagination2',itemsPerPage: 25, currentPage: p };let i = index">
                                                <td *ngIf="p>1">{{((p-1)*15)+(i+1)}}</td>
                                                <th *ngIf="p===1">{{i+1}}</th>
                                                <td>{{pending.firstname}}</td>
                                                <td>{{pending.lastname}}</td>
                                                <td>{{pending.vehicletype}}</td>
                                                <td>{{pending.mobile}}</td>
                                                <td>{{pending.personalEmail}}</td>
                                                <td>{{pending.organizationEmail}}</td>
                                                <td>
                                                    <a class="btn view" [routerLink]='["pending_history", pending.uid]'>
                                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                                    </a>

                                                </td>
                                                <td>
                                                    <ui-switch [(ngModel)]="pending.documentverifiedstatus"></ui-switch>
                                                </td>
                                                <td>
                                                    <a class="btn edit" (click)="updateStatus(pending)">
                                                        <i class="fa fa-pencil" aria-hidden="true"></i>
                                                    </a>

                                                </td>
                                            </tr>

                                        </tbody>
                                    </table>

                                </div>
                                <div class="text-center">
                                    <pagination-controls id="pagination2" (pageChange)="p = $event"></pagination-controls>
                                </div>
                            </div>

                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Approval</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="" [formGroup]="updateStatusForm" (ngSubmit)="onSubmit()">
                    <input type="hidden" class="form-control" formControlName="id">

                    <div class="form-group">
                        <label for="">Document Verified Status:</label>
                        <select class="form-control" formControlName="documentverifiedstatus">
                            <option value="1">Approval</option>
                            <option value="0">Pending</option>
                        </select>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-success" id="statusUpdateSubmit">Save changes</button>
                    </div>
                    <!-- <button type="submit" class="btn btn-success">Submit</button> -->
                </form>
            </div>

        </div>
    </div>
</div>